<?php

namespace App\Http\Livewire;

use Livewire\Component;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Config;

class DashboardGraphicsMod extends Component
{
    private $monthLabel = array();
    private $monthNumber = array();
    private $hiresNumber = array();

    public function countLastArrival()
    {

        $countLastArrival = DB::select(
            'SELECT T1.NOM_MOIS,T1.ANNEE,
            COALESCE(T0.NB_ARRIVANT,"0") NB_ARRIVANT
            FROM (SELECT T01.MOIS,
            MONTH(T01.MOIS)NUM_MOIS,
            UPPER(DATE_FORMAT(T01.MOIS, "%b", "FR_FR")) AS NOM_MOIS,
            YEAR(T01.MOIS) ANNEE FROM (SELECT (CONCAT(DATE_ADD(CURRENT_DATE(),INTERVAL -7 MONTH))+ INTERVAL SEQ MONTH) AS MOIS
            FROM SEQ_0_TO_11) T01 WHERE MOIS<=CURRENT_DATE) T1 LEFT JOIN ( SELECT COUNT(*) NB_ARRIVANT, UPPER(DATE_FORMAT(EMPLOYEE_DATEARRIVEE, "%b", "FR_FR")) AS MOIS
            FROM RH_EMPLOYEES
            WHERE EMPLOYEE_DATEARRIVEE BETWEEN DATE_ADD(CURRENT_DATE(),INTERVAL -8 MONTH) AND CURRENT_DATE()
            GROUP BY MONTHNAME(EMPLOYEE_DATEARRIVEE) ORDER BY EMPLOYEE_DATEARRIVEE ASC ) T0 ON T0.MOIS=T1.NOM_MOIS
            ORDER BY T1.ANNEE,T1.NUM_MOIS'
        );

        foreach ($countLastArrival as $month) {
            array_push($this->monthLabel, $month->NOM_MOIS);
        }

        foreach ($countLastArrival as $month) {
            array_push($this->hiresNumber, $month->NB_ARRIVANT);
        }

        return ([$countLastArrival, $this->monthLabel, $this->hiresNumber]);
    }

    public function render()
    {
        $this->countLastArrival();

        return view('livewire.dashboard-graphics-mod', [
            'monthLabel' => $this->monthLabel,
            'monthNumber' => $this->monthNumber,
            'hiresNumber' => $this->hiresNumber,
        ]);
    }
}
