<?php

namespace App\Http\Livewire;

use LivewireUI\Modal\ModalComponent;
use Illuminate\Support\Facades\DB;

class UserFormAfibMod extends ModalComponent
{

    public $userId;

    public function afibInfoUpdate()
    {

        if (($this->userId)) {

            $dataAfib = DB::table('rh_afib')
                ->where('AFIB_FKEMPLOYEEID', '=', $this->userId)
                ->orderBy('AFIB_DEMANDEINSCRIPTION', 'desc')
                ->limit(1)
                ->get();

            return $dataAfib;
        }
    }

    public function afibHistory()
    {

        if (($this->userId)) {

            $dataAfib = DB::table('rh_afib')
                ->where('AFIB_FKEMPLOYEEID', '=', $this->userId)
                ->orderBy('AFIB_DEMANDEINSCRIPTION', 'desc')
                ->get();

            return $dataAfib;
        }
    }

    public static function modalMaxWidth(): string
    {
        return '7xl';
    }

    public function render()
    {
        return view('livewire.user-form-afib-mod', [
            'afibInfoUpdate' => $this->afibInfoUpdate(),
            'afibHistory' => $this->afibHistory(),
        ]);
    }
}
