<?php

namespace App\Http\Livewire\Users;

use LivewireUI\Modal\ModalComponent;
use Illuminate\Support\Facades\DB;

class UserFormAfibMod extends ModalComponent
{
    public $userId;

    public function userInfo()
    {
        return DB::table('rh_employees')
            ->select(['EMPLOYEE_PRENOM', 'EMPLOYEE_NOM'])
            ->where('EMPLOYEE_ID', '=', $this->userId)
            ->get();
    }

    public function afibInfoUpdate()
    {
        if ($this->userId) {
            return DB::table('rh_afib')
                ->where('AFIB_FKEMPLOYEEID', '=', $this->userId)
                ->orderBy('AFIB_DEMANDEINSCRIPTION', 'desc')
                ->limit(1)
                ->get();
        }
    }

    public function afibHistory()
    {
        if ($this->userId) {
            return DB::table('rh_afib')
                ->where('AFIB_FKEMPLOYEEID', '=', $this->userId)
                ->orderBy('AFIB_DEMANDEINSCRIPTION', 'desc')
                ->get();
        }
    }

    public static function modalMaxWidth(): string
    {
        return '7xl';
    }

    public function render()
    {
        return view('livewire.users.user-form-afib-mod', [
            'userInfo' => $this->userInfo()[0],
            'afibInfoUpdate' => $this->afibInfoUpdate(),
            'afibHistory' => $this->afibHistory(),
            'userId' => $this->userId,
        ]);
    }
}
