<?php

namespace App\Http\Livewire;

use LivewireUI\Modal\ModalComponent;
use Illuminate\Support\Facades\DB;

class AgenceFormMod extends ModalComponent
{
    public $agenceId;

    public function agenceInfoUpdate()
    {
        if ($this->agenceId != '') {

            $dataAgences = DB::table('rh_directors')
                ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_directors.DIRECTOR_FKEMPLOYEEID')
                ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_directors.DIRECTOR_FKAGENCEID')
                ->where('AGENCE_ID', '=', $this->agenceId)
                ->get();
        } else {
            $dataAgences = [
                0 => [
                    'AGENCE_ID' => '',
                    'AGENCE_NOM' => '',
                    'AGENCE_COMPTEACTIF' => '',
                    'AGENCE_TYPE' => '',
                    'AGENCE_ADRESSE' => '',
                    'AGENCE_ADRESSECOMPLEMENT' => '',
                    'AGENCE_CODEPOSTAL' => '',
                    'AGENCE_VILLE' => '',
                    'AGENCE_RAISONSOCIALE' => '',
                    'AGENCE_STATUTJURIDIQUE' => '',
                    'AGENCE_CAPITAL' => '',
                    'AGENCE_SITEWEB' => '',
                    'AGENCE_TEL' => '',
                    'AGENCE_EMAIL' => '',
                    'AGENCE_DIRECTEUR' => '',
                    'AGENCE_RCSVILLE' => '',
                    'AGENCE_RCSSIREN' => '',
                    'AGENCE_ORIAS' => '',
                    'AGENCE_RCPRO' => '',
                    'AGENCE_RCPRONUMERO' => '',
                    'AGENCE_RIB' => '',
                    'AGENCE_IBAN' => '',
                    'AGENCE_MENTIONSLEGALES1' => '',
                    'AGENCE_MENTIONSLEGALES2' => '',
                    'AGENCE_MENTIONSLEGALES3' => '',
                    'AGENCE_DATEENTREE' => '',
                    'AGENCE_DATEDERNIERRENOUVELLEMENT' => '',
                    'AGENCE_DATEECHEANCE' => '',
                ]
            ];

            $dataAgences = json_decode(json_encode($dataAgences));
        }
        return $dataAgences;
    }

    public function userInfoUpdate()
    {
        $dataUsers = DB::table('rh_employees')
            ->orderBy('EMPLOYEE_NOM')
            ->get();

        return $dataUsers;
    }

    public static function modalMaxWidth(): string
    {
        return '7xl';
    }

    public function render()
    {
        return view('livewire.agence-form-mod', [
            'agenceInfoUpdate' => $this->agenceInfoUpdate(),
            'userInfoUpdate' => $this->userInfoUpdate(),
        ]);
    }
}
