<div class="mx-4">
    @if ($this->afibInfoUpdate())
        @foreach ($this->afibInfoUpdate() as $afib)
            <form name="add_update_afib_form" id="add_update_afib_form" method="post"
                action="{{ route('add_update_afib') }}">
                @csrf
                <div class="mx-3">
                    <h1 class="text-xl font-bold capitalize text-white pb-4"><em
                            class="fa-solid fa-file-circle-question mr-2"></em>Informations dernière demande</h1>
                    <div class="card card-body border card-plain border-radius-lg">
                        <div class="row mb-2">
                            <input hidden="hidden" id="afib_id" name="afib_id" value="{{ $afib->AFIB_ID }}" />
                            <input hidden="hidden" id="user_id" name="user_id"
                                value="{{ $afib->AFIB_FKEMPLOYEEID }}" />
                            <div class="col-3">
                                <label for="etat_afib" class="form-label text-xs">Statut</label>
                                <select id="etat_afib" name="etat_afib" class="form-select px-3 bg-white"
                                    aria-label="actif ?">
                                    @if ($afib->AFIB_ETAT == 'Nouveau')
                                        @php
                                            $selectedNouveau = 'selected';
                                            $selectedEncours = '';
                                            $selectedOk = '';
                                        @endphp
                                    @elseif ($afib->AFIB_ETAT == 'En cours')
                                        @php
                                            $selectedNouveau = '';
                                            $selectedEncours = 'selected';
                                            $selectedOk = '';
                                        @endphp
                                    @elseif ($afib->AFIB_ETAT == 'OK')
                                        @php
                                            $selectedNouveau = '';
                                            $selectedEncours = '';
                                            $selectedOk = 'selected';
                                        @endphp
                                    @else
                                        @php
                                            $selectedNouveau = 'selected';
                                            $selectedEncours = '';
                                            $selectedOk = '';
                                        @endphp
                                    @endif
                                    <option value='nouveau' {{ $selectedNouveau }}>Nouveau</option>
                                    <option value='en_cours' {{ $selectedEncours }}>En cours</option>
                                    <option value='ok' {{ $selectedOk }}>OK</option>
                                </select>
                            </div>
                            @php
                                $dateDemandeAfib = str_replace(' ', 'T', $afib->AFIB_DEMANDEINSCRIPTION);
                                $dateAfib = str_replace(' ', 'T', $afib->AFIB_VALIDATIONINSCRIPTION);
                            @endphp
                            @include('components.form-items', [
                                'colsize' => '3',
                                'bgcolor' => 'bg-white',
                                'type' => 'datetime-local',
                                'id' => 'datedemande_afib',
                                'label' => "Demande d'inscription",
                                'value' => $dateDemandeAfib,
                                'required' => '',
                            ])
                            @include('components.form-items', [
                                'colsize' => '3',
                                'bgcolor' => 'bg-white',
                                'type' => 'datetime-local',
                                'id' => 'date_afib',
                                'label' => "Validation de l'inscription",
                                'value' => $dateAfib,
                                'required' => '',
                            ])
                            @include('components.form-items', [
                                'colsize' => '3',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'montant_afib',
                                'label' => 'Montant',
                                'value' => number_format($afib->AFIB_MONTANT, 2, ',', ' '),
                                'required' => '',
                            ])
                            @include('components.form-items', [
                                'colsize' => '3',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'payepar_afib',
                                'label' => 'Payé par',
                                'value' => $afib->AFIB_PAYEPAR,
                                'required' => '',
                            ])
                            @include('components.form-items', [
                                'colsize' => '3',
                                'bgcolor' => 'bg-white',
                                'type' => 'text',
                                'id' => 'description_afib',
                                'label' => 'Description',
                                'value' => $afib->AFIB_DESCRIPTION,
                                'required' => '',
                            ])
                            <div class="col-3 mt-1">
                                <label for="submit_afib" class="form-label text-xs"></label>
                                <button id="submit_afib" type="submit"
                                    class="btn bg-blue-700 bg-gradient-info text-white font-medium rounded-lg text-sm w-full px-5 py-2.5 text-center">
                                    Valider
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        @endforeach
    @endif

    <!-- Historique Afib -->
    <div class="mx-3 mt-4 pt-2 mb-4">
        <h1 class="text-xl font-bold capitalize text-white pb-4"><i
                class="fa-solid fa-house-chimney"></i>&nbsp;Historique</h1>
        <div class="card card-body border card-plain border-radius-lg">
            <div class="table-responsive mb-2">
                <table class="table align-items-center mb-0" aria-describedby="historique des demandes afib">
                    <thead>
                        <tr>
                            <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                Inscription</th>
                            <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                Validation</th>
                            <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                Montant</th>
                            <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                Payé par</th>
                            <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        @if ($this->afibHistory())
                            @foreach ($this->afibHistory() as $afib)
                                @php
                                    $dateDemandeAfib = date('d/m/Y', strtotime(str_replace(' ', 'T', $afib->AFIB_DEMANDEINSCRIPTION)));
                                    $dateAfib = date('d/m/Y', strtotime(str_replace(' ', 'T', $afib->AFIB_VALIDATIONINSCRIPTION)));
                                @endphp
                                <tr>
                                    @if (null === $afib->AFIB_DEMANDEINSCRIPTION)
                                        <td class="px-6 py-4 text-center" colspan="5">
                                            <div class="p-4 text-sm font-bold bg-gradient-danger rounded-lg"
                                                role="alert">
                                                Aucun historique trouvé. Il s'agit peut-être d'un arrivant jamais
                                                inscrit à l'Afib ou n'étant pas un courtier.
                                            </div>
                                        </td>
                                    @else
                                        <td class="text-center">
                                            {{ $dateDemandeAfib }}
                                        </td>
                                        <td class="text-center">
                                            @if ($dateAfib)
                                                {{ $dateAfib }}
                                            @else
                                                -
                                            @endif
                                        </td>
                                        <td class="text-center">
                                            @if ($afib->AFIB_MONTANT)
                                                {{ $afib->AFIB_MONTANT }}
                                            @else
                                                -
                                            @endif
                                        </td>
                                        <td class="text-center">
                                            @if ($afib->AFIB_MONTANT)
                                                @php echo number_format($afib->AFIB_MONTANT, 2, ',', ' ') . ' €'; @endphp
                                            @else
                                                - €
                                            @endif
                                        </td>
                                        <td class="text-center">
                                            @if ($afib->AFIB_PAYEPAR)
                                                {{ $afib->AFIB_PAYEPAR }}
                                            @else
                                                -
                                            @endif
                                        </td>
                                        <td class="text-center">
                                            @if ($afib->AFIB_DESCRIPTION)
                                                {{ $afib->AFIB_DESCRIPTION }}
                                            @else
                                                -
                                            @endif
                                        </td>
                                    @endif
                                </tr>
                            @endforeach
                        @endif
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
